io.vertx.mqtt.messages

## Interface MqttConnAckMessage

-     public interface MqttConnAckMessage

  Represents an MQTT CONNACK message

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.netty.handler.codec.mqtt.MqttConnectReturnCode` | `code()`
    `static MqttConnAckMessage` | `create(io.netty.handler.codec.mqtt.MqttConnectReturnCode code, boolean isSessionPresent)` Create a concrete instance of a Vert.x connack message
    `static MqttConnAckMessage` | `create(io.netty.handler.codec.mqtt.MqttConnectReturnCode code, boolean isSessionPresent, io.netty.handler.codec.mqtt.MqttProperties properties)` Create a concrete instance of a Vert.x connack message
    `boolean` | `isSessionPresent()`
    `io.netty.handler.codec.mqtt.MqttProperties` | `properties()`

- - ### Method Detail

    - #### create

          static MqttConnAckMessage create(io.netty.handler.codec.mqtt.MqttConnectReturnCode code,
                                           boolean isSessionPresent)

      Create a concrete instance of a Vert.x connack message
      Parameters:
        `code` - return code from the connection request
        `isSessionPresent` - is an old session is present
      Returns:

    - #### create

          static MqttConnAckMessage create(io.netty.handler.codec.mqtt.MqttConnectReturnCode code,
                                           boolean isSessionPresent,
                                           io.netty.handler.codec.mqtt.MqttProperties properties)

      Create a concrete instance of a Vert.x connack message
      Parameters:
        `code` - return code from the connection request
        `isSessionPresent` - is an old session is present
        `properties` - MQTT properties
      Returns:

    - #### code

          io.netty.handler.codec.mqtt.MqttConnectReturnCode code()

      Returns:
        return code from the connection request

    - #### isSessionPresent

          boolean isSessionPresent()

      Returns:
        is an old session is present

    - #### properties

          io.netty.handler.codec.mqtt.MqttProperties properties()

Copyright © 2021 Eclipse. All rights reserved.